Menu

Frequently Asked Questions (FAQS)

Answers to the most commonly asked questions about KSP

Which devices support Knox Service Plugin?

KSP works on any Samsung mobile and tablet device models with Android Pie (9.0) and Knox 3.2.1 or higher. KSP is also supported on Android 8.0 (Knox 3.x) based devices if the device is set up as a fully managed device (DO).

KSP has no device restrictions and it relies solely on the Android version installed on the device to determine compatibility.

Share it: